cobe(1)

NAME
cobe - Markov chain based text generator library and chatbot

SYNOPSIS
cobe [-h] [-b BRAIN] [--instatrace FILE] command

DESCRIPTION
cobe is a Markov chain based text generator, it uses Markov modeling to generate text responses after learning from input text. cobe use an on-disk data store (brain database) for low memory usage. The cobe command line tool can be used for interacting with a brain database.

  OPTIONS

-h, --help
    Show the help message and exit.

-b BRAIN, --brain BRAIN
    Use BRAIN as brain database.

--instatrace FILE
    Log performance statistics to FILE.

  COMMANDS

console
    Start an interactive console.

init
    Initialize a new brain.

irc-client
    Start an IRC client.

learn
    Learn a file of text.

learn-irc-log
    Learn a file of IRC log text.

set-stemmer
    Configure a stemmer.

del-stemmer
    Delete the stemmer.

Run `cobe command -h' to access the built-in documentation of each command.

AUTHOR
Peter Teichman <peter@teichman.org>

This manual page was written by Daniele Tricoli <eriol@mornie.org>, for the Debian project (but may be used by others).